Project

General

Profile

Freedom issue #1526

kdevplatform replaced by kdevelop which requires qt5-webengine

bill-auger - about 3 years ago - . Updated almost 3 years ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

100%


Description

# pacman -Syu
...
:: Starting full system upgrade...
:: Replace kdevplatform with extra/kdevelop? [Y/n] 
resolving dependencies...
warning: cannot resolve "qt5-webengine", a dependency of "kdevelop" 
:: The following package cannot be upgraded due to unresolvable dependencies:
      kdevelop

:: Do you want to skip the above package for this upgrade? [y/N] N
error: failed to prepare transaction (could not satisfy dependencies)
:: kdevelop: requires qt5-webengine

'kdevplatform' depends on 'qt5-webkit' but has apparently been deprecated or otherwise replaced with 'kdevelop' which depends on the blacklisted 'qt5-webengine'


Related issues

Related to Packages - Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform"confirmed

Actions
Related to Packages - Bug #1530: [kdevelop] broken dependenciesnot-a-bug2017-11-17

Actions

History

#1

Updated by bill-auger about 3 years ago

  • Related to Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform" added
#2

Updated by bill-auger about 3 years ago

  • Related to Bug #1530: [kdevelop] broken dependencies added
#3

Updated by bill-auger about 3 years ago

  • Related to Bug #1530: [kdevelop] broken dependencies added
#4

Updated by bill-auger about 3 years ago

  • Related to deleted (Bug #1530: [kdevelop] broken dependencies)
#5

Updated by oaken-source almost 3 years ago

  • % Done changed from 0 to 100
  • Assignee set to oaken-source
  • Status changed from open to fixed

I added kdevelop to the blacklist and created a liberated PKGBUILD in libre. expect builds to arrive in the repos tomorrow.

Also available in: Atom PDF